Subject: bug#16667: Accented home dir stops ELPA package

From: Stefan Monnier <[email-masked]>
Date: Fri, 07 Feb 2014 23:56:51 -0500

> Yes, but how would a unibyte string escape from C in the first place?

I suggested that directory-files might take the SDATA of the
default-directory (i.e. its internal utf-8 representation), prepend it
to the file name and mark the result as a unibyte string before
returning it.

I have no evidence saying it's what happens, but based on the message
log something along these lines might be going on and could explain the
behavior.

> Does any of the functions involved encode file names by hand?

You mean the functions in autoload.el or package.el?  I don't think so.

> Why don't you ask that guy to install a development snapshot?  If the
> problem persists, we can help him then.

He's a student of mine, so use of Emacs is mostly imposed and I since he
found a workaround (use that alternate user with all-ASCII name) I think
he's happy enough to move on.

        Stefan